Package be.vlaanderen.mercurius.vsb.common.v2

# Class LBDossierType

java.lang.Object
be.vlaanderen.mercurius.vsb.common.v2.LBDossierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class LBDossierType extends Object implements Serializable
Gegevens betreffende LBDossier.

Java class for LBDossierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="LBDossierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LBDossierId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="CareUnitCode" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}CareEntityCodeType" minOccurs="0"/>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}SSINType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LBDossierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareUnitCode()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">CareUnitCode</p>
  `String`
  `getLBDossierId()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">LBDossierId</p>
  `String`
  `getSSIN()`
  <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">SSIN</p>
  `void`
  `setCareUnitCode(String value)`
  Sets the value of the careUnitCode property.
  `void`
  `setLBDossierId(String value)`
  Sets the value of the lbDossierId property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LBDossierType

    public LBDossierType()

- ## Method Details

  - ### getLBDossierId

    public String getLBDossierId()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">LBDossierId</p>

    Returns:
      possible object is `String`

  - ### setLBDossierId

    public void setLBDossierId(String value)
    Sets the value of the lbDossierId property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLBDossierId()`

  - ### getCareUnitCode

    public String getCareUnitCode()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">CareUnitCode</p>

    Returns:
      possible object is `String`

  - ### setCareUnitCode

    public void setCareUnitCode(String value)
    Sets the value of the careUnitCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareUnitCode()`

  - ### getSSIN

    public String getSSIN()

         <?xml version="1.0" encoding="UTF-8"?><p xmlns="http://www.mercurius.vlaanderen.be/vsb/common/v2" xmlns:xs="http://www.w3.org/2001/XMLSchema">SSIN</p>

    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`